SACoche : Évaluer par compétences et valider le socle commun

Menu de gauche

Peut-on installer SACoche chez OVH ?

  • Oui, mais attention, PHP est mal configuré par défaut sur leur hébergement mutualisé.

Ainsi, sur l'hébergement mutualisé d'OVH, par défaut,
→ "register_globals" est activé, ce qui est obsolète, peu sécuritaire et pouvant causer des conflits de variables
→ "session.use_trans_sid" est activé et "session.use_only_cookies" est désactivé, ce qui est dangereux en terme de sécurité (identifiant de session visible dans l'URL)
→ la version de PHP n'est pas récente

Pour y rémédier, ajouter dans le fichier .htaccess à la racine de SACoche les lignes suivantes :

SACoche pourrait forcer ces valeurs mais tous les serveurs ne se laissent pas faire, et avec raison, car ce n'est pas aux applications de commander les serveurs, c'est aux hébergeurs de les configurer correctement.


Documentations associées